#ifndef QCALENDERCOLORDATEWIDGET_H
#define QCALENDERCOLORDATEWIDGET_H

#include <QCalendarWidget>
#include <QObject>
#include <QWidget>

class QCalenderColorDateWidget : public QCalendarWidget
{
public:
    QCalenderColorDateWidget(QWidget *parent = nullptr);

    void addDays(const QDate &date);

protected:
    virtual void paintCell(QPainter *painter, const QRect &rect, const QDate &date) const;

private:
    QList<QDate> m_dates;
};

#endif // QCALENDERCOLORDATEWIDGET_H
